<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>LuceneTokenizer (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LuceneTokenizer (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LuceneTokenizer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneAnalyzerUtil.StemFilterType.html" title="enum in org.apache.nutch.scoring.similarity.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/scoring/similarity/util/LuceneTokenizer.html" target="_top">Frames</a></li>
<li><a href="LuceneTokenizer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.scoring.similarity.util</div>
<h2 title="Class LuceneTokenizer" class="title">Class LuceneTokenizer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.scoring.similarity.util.LuceneTokenizer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">LuceneTokenizer</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneTokenizer.TokenizerType</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.html#LuceneTokenizer-java.lang.String-org.apache.nutch.scoring.similarity.util.LuceneTokenizer.TokenizerType-boolean-org.apache.nutch.scoring.similarity.util.LuceneAnalyzerUtil.StemFilterType-">LuceneTokenizer</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content,
               <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneTokenizer.TokenizerType</a>&nbsp;tokenizer,
               boolean&nbsp;useStopFilter,
               <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneAnalyzerUtil.StemFilterType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneAnalyzerUtil.StemFilterType</a>&nbsp;stemFilterType)</code>
<div class="block">Creates a tokenizer based on param values</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.html#LuceneTokenizer-java.lang.String-org.apache.nutch.scoring.similarity.util.LuceneTokenizer.TokenizerType-java.util.List-boolean-org.apache.nutch.scoring.similarity.util.LuceneAnalyzerUtil.StemFilterType-">LuceneTokenizer</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content,
               <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneTokenizer.TokenizerType</a>&nbsp;tokenizer,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;stopWords,
               boolean&nbsp;addToDefault,
               <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneAnalyzerUtil.StemFilterType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneAnalyzerUtil.StemFilterType</a>&nbsp;stemFilterType)</code>
<div class="block">Creates a tokenizer based on param values</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.html#LuceneTokenizer-java.lang.String-org.apache.nutch.scoring.similarity.util.LuceneTokenizer.TokenizerType-org.apache.nutch.scoring.similarity.util.LuceneAnalyzerUtil.StemFilterType-int-int-">LuceneTokenizer</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content,
               <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneTokenizer.TokenizerType</a>&nbsp;tokenizer,
               <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneAnalyzerUtil.StemFilterType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneAnalyzerUtil.StemFilterType</a>&nbsp;stemFilterType,
               int&nbsp;mingram,
               int&nbsp;maxgram)</code>
<div class="block">Creates a tokenizer for the ngram model based on param values</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>TokenStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.html#getTokenStream--">getTokenStream</a></span>()</code>
<div class="block">Returns the tokenStream created by the Tokenizer</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LuceneTokenizer-java.lang.String-org.apache.nutch.scoring.similarity.util.LuceneTokenizer.TokenizerType-boolean-org.apache.nutch.scoring.similarity.util.LuceneAnalyzerUtil.StemFilterType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LuceneTokenizer</h4>
<pre>public&nbsp;LuceneTokenizer(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content,
                       <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneTokenizer.TokenizerType</a>&nbsp;tokenizer,
                       boolean&nbsp;useStopFilter,
                       <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneAnalyzerUtil.StemFilterType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneAnalyzerUtil.StemFilterType</a>&nbsp;stemFilterType)</pre>
<div class="block">Creates a tokenizer based on param values</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>content</code> - - The text to tokenize</dd>
<dd><code>tokenizer</code> - - the type of tokenizer to use CLASSIC or DEFAULT</dd>
<dd><code>useStopFilter</code> - - if set to true the token stream will be filtered using default Lucene stopset</dd>
<dd><code>stemFilterType</code> - - Type of stemming to perform</dd>
</dl>
</li>
</ul>
<a name="LuceneTokenizer-java.lang.String-org.apache.nutch.scoring.similarity.util.LuceneTokenizer.TokenizerType-java.util.List-boolean-org.apache.nutch.scoring.similarity.util.LuceneAnalyzerUtil.StemFilterType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LuceneTokenizer</h4>
<pre>public&nbsp;LuceneTokenizer(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content,
                       <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneTokenizer.TokenizerType</a>&nbsp;tokenizer,
                       <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;stopWords,
                       boolean&nbsp;addToDefault,
                       <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneAnalyzerUtil.StemFilterType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneAnalyzerUtil.StemFilterType</a>&nbsp;stemFilterType)</pre>
<div class="block">Creates a tokenizer based on param values</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>content</code> - - The text to tokenize</dd>
<dd><code>tokenizer</code> - - the type of tokenizer to use CLASSIC or DEFAULT</dd>
<dd><code>stopWords</code> - - Provide a set of user defined stop words</dd>
<dd><code>addToDefault</code> - - If set to true, the stopSet words will be added to the Lucene default stop set.
 If false, then only the user provided words will be used as the stop set</dd>
<dd><code>stemFilterType</code> - </dd>
</dl>
</li>
</ul>
<a name="LuceneTokenizer-java.lang.String-org.apache.nutch.scoring.similarity.util.LuceneTokenizer.TokenizerType-org.apache.nutch.scoring.similarity.util.LuceneAnalyzerUtil.StemFilterType-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LuceneTokenizer</h4>
<pre>public&nbsp;LuceneTokenizer(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content,
                       <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneTokenizer.TokenizerType</a>&nbsp;tokenizer,
                       <a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneAnalyzerUtil.StemFilterType.html" title="enum in org.apache.nutch.scoring.similarity.util">LuceneAnalyzerUtil.StemFilterType</a>&nbsp;stemFilterType,
                       int&nbsp;mingram,
                       int&nbsp;maxgram)</pre>
<div class="block">Creates a tokenizer for the ngram model based on param values</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>content</code> - - The text to tokenize</dd>
<dd><code>tokenizer</code> - - the type of tokenizer to use CLASSIC or DEFAULT</dd>
<dd><code>stemFilterType</code> - - Type of stemming to perform</dd>
<dd><code>mingram</code> - - Value of mingram for tokenizing</dd>
<dd><code>maxgram</code> - - Value of maxgram for tokenizing</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTokenStream--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTokenStream</h4>
<pre>public&nbsp;TokenStream&nbsp;getTokenStream()</pre>
<div class="block">Returns the tokenStream created by the Tokenizer</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LuceneTokenizer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneAnalyzerUtil.StemFilterType.html" title="enum in org.apache.nutch.scoring.similarity.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/nutch/scoring/similarity/util/LuceneTokenizer.TokenizerType.html" title="enum in org.apache.nutch.scoring.similarity.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/scoring/similarity/util/LuceneTokenizer.html" target="_top">Frames</a></li>
<li><a href="LuceneTokenizer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
